## osmpbf 1.1

=== debian/changelog ===
osmpbf (1.1-1) unstable; urgency=low

  * Initial release (closes: #609772).

 -- Giovanni Mascellani <gio@debian.org>  Wed, 12 Jan 2011 12:38:27 +0100
