=== debian/control ===
Source: osmpbf
Section: java
Priority: extra
Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
Build-Depends: debhelper (>= 7.0.50~), protobuf-compiler, libprotobuf-java, ant,
 default-jdk
Standards-Version: 3.9.1
Homepage: http://github.com/scrosby/OSM-binary
Vcs-Git: git://git.debian.org/pkg-osm/osmpbf.git
Vcs-Browser: http://git.debian.org/?p=pkg-osm/osmpbf.git;a=summary

Package: libosmpbf-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java access library for OpenStreetMap PBF file format
 Osmpbf is a Java library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is the new file format to describe
 OpenStreetMap data, intended to replace the old XML-based one. The PBF
 format uses Google Protocol Buffers as low-level storage.
