## osmpbf 1.2.1

=== debian/changelog ===
osmpbf (1.2.1-3) unstable; urgency=low

  * Remove patch that sets a wrong location for protobuf.jar
    (closes: #676059).
  * Bump Standards-Version to 3.9.3 (no changes required).
  * Update copyright years.
  * Fix Makefile so Debian build flags are honoured.
  * Install POM file.

 -- Giovanni Mascellani <gio@debian.org>  Fri, 15 Jun 2012 10:04:57 +0200

osmpbf (1.2.1-2) unstable; urgency=low

  * Also install the static library in libosmpbf-dev

 -- David Paleino <dapal@debian.org>  Mon, 14 Nov 2011 11:50:47 +0100

osmpbf (1.2.1-1) unstable; urgency=low

  * New upstream version
  * Added myself to Uploaders
  * Added debian/watch file
  * Fix build.xml to point to the correct protobuf-java.jar
  * Provide additional libosmpbf-dev and osmpbf-bin packages
  * Add Build-Depends on libprotobuf-dev
  * Standards-Version bump to 3.9.2, no changes needed

 -- David Paleino <dapal@debian.org>  Mon, 14 Nov 2011 11:34:40 +0100
