=== debian/control ===
Source: osmpbf
Section: java
Priority: extra
Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
 , David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 7.0.50~), protobuf-compiler, libprotobuf-java, ant,
 default-jdk
 , libprotobuf-dev
 , maven-repo-helper
Standards-Version: 3.9.3
Homepage: http://github.com/scrosby/OSM-binary
Vcs-Git: git://git.debian.org/pkg-osm/osmpbf.git
Vcs-Browser: http://git.debian.org/?p=pkg-osm/osmpbf.git;a=summary

Package: libosmpbf-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java access library for OpenStreetMap PBF file format
 Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is the new file format to describe
 OpenStreetMap data, intended to replace the old XML-based one. The PBF
 format uses Google Protocol Buffers as low-level storage.
 .
 This package provides a Java library.

Package: libosmpbf-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C headers for OpenStreetMap PBF file format
 Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is the new file format to describe
 OpenStreetMap data, intended to replace the old XML-based one. The PBF
 format uses Google Protocol Buffers as low-level storage.
 .
 This package provides the C headers to be used in third-party
 applications.

Package: osmpbf-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenStreetMap PBF file format library - tools
 Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is the new file format to describe
 OpenStreetMap data, intended to replace the old XML-based one. The PBF
 format uses Google Protocol Buffers as low-level storage.
 .
 This package provides various tools to deal with OpenStreetMap PBF file
 format.
