=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -Dsrc
	dh_auto_build -Dtools

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -Dsrc
	dh_auto_install -Dtools

binary:
	dh binary --until dh_install
	mh_installjar -plibosmpbf-java -l pom.xml osmpbf.jar
	mh_installpom -plibosmpbf-java pom.xml
	dh binary --remaining
