## osmpbf 1.3.0

=== debian/changelog ===
osmpbf (1.3.0-1build1) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Jan 2014 09:18:30 +0000

osmpbf (1.3.0-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Remove myself from the uploaders list, since I have no time
    anymore to look after this package.

  [ David Paleino ]
  * New upstream version.
  * Bump debhelper compatibility to 9.
  * Standards-Version bump to 3.9.4, no changes needed.
  * Use canonical Vcs-* urls in debian/control.
  * Updated debian/copyright.
  * Install ReleaseNotes.txt as upstream changelog.
  * Correctly clean up after builds.

 -- David Paleino <dapal@debian.org>  Mon, 28 Jan 2013 20:32:44 +0100
