=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: java
 Priority: extra
 Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
-Uploaders: Giovanni Mascellani <gio@debian.org>
- , David Paleino <dapal@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), protobuf-compiler, libprotobuf-java, ant,
- default-jdk
+Uploaders:
+ David Paleino <dapal@debian.org>
+Build-Depends:
+ debhelper (>= 9~)
+ , protobuf-compiler
+ , libprotobuf-java
+ , ant
+ , default-jdk
  , libprotobuf-dev
  , maven-repo-helper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://github.com/scrosby/OSM-binary
-Vcs-Git: git://git.debian.org/pkg-osm/osmpbf.git
-Vcs-Browser: http://git.debian.org/?p=pkg-osm/osmpbf.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-osm/osmpbf.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-osm/osmpbf.git;a=summary
 
 Package: libosmpbf-java
 Architecture: all
