=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,12 @@
 
 %:
 	dh $@ 
+
+override_dh_auto_clean:
+	dh_auto_clean
+	dh_auto_clean -Dsrc
+	dh_auto_clean -Dtools
+	mh_clean
 
 override_dh_auto_build:
 	dh_auto_build
@@ -17,8 +23,10 @@
 	dh_auto_install -Dsrc
 	dh_auto_install -Dtools
 
-binary:
-	dh binary --until dh_install
+override_dh_installchangelogs:
+	dh_installchangelogs -- ReleaseNotes.txt
+
+override_dh_install:
+	dh_install
 	mh_installjar -plibosmpbf-java -l pom.xml osmpbf.jar
 	mh_installpom -plibosmpbf-java pom.xml
-	dh binary --remaining
