=== debian/watch ===
version=3
http://githubredir.debian.net/github/scrosby/OSM-binary/v(\d+.*)\.tar\.gz
