=== debian/changelog ===
osmpbf (1.3.3-7) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Switch to headless variant for jdk dependencies.
  * Enable all hardening buildflags.
  * Drop unused override for incompatible-java-bytecode-format.
  * Rebuild with protobuf 3.0.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Aug 2016 10:52:01 +0200

osmpbf (1.3.3-6) unstable; urgency=medium

  * Update Vcs-* URLs to use HTTPS.
  * Drop © character from copyright statements.
  * Update uversionmangle to use lowercase RC.
  * Update JDK build dependency for OpenJDK 8.
    (closes: #814169)
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Feb 2016 21:57:09 +0100

osmpbf (1.3.3-5) unstable; urgency=medium

  * Update watch file to handle other tar extensions.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 18:19:12 +0200

osmpbf (1.3.3-4) unstable; urgency=medium

  * Fix malformed opts=... in watchfile.
  * Update copyright file, changes:
    - Add Upstream-Name header
    - Align copyright holders
    - Use stand-alone license paragraphs

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 May 2015 23:17:38 +0200

osmpbf (1.3.3-3) unstable; urgency=medium

  * Update watch file to use github tags instead of deprecated
    githubredir service.
  * Add upstream metadata.
  * Update my email to @debian.org address.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 22:08:44 +0200

osmpbf (1.3.3-2) unstable; urgency=low

  * Add patch to fix duplicate header copy.
  * Add lintian override for incompatible-java-bytecode-format,
    Java 6 SDK or higher required.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Mon, 17 Mar 2014 08:50:36 +0100

osmpbf (1.3.3-1) unstable; urgency=low

  * New upstream release.
  * Build depend on openjdk-7-jdk or java6-sdk.
    Java 6 or higher is required to support @Override for interface methods,
    Java 5 only supports @Override for methods overriding a superclass method.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 16 Mar 2014 12:02:51 +0100

osmpbf (1.3.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * moved to pkg-grass Git repository

  [ Bas Couwenberg ]
  * New upstream release.
    (closes: #716608)
  * Change Maintainer to Debian GIS Project.
  * Change Priority to optional.
  * Add myself to Uploaders.
  * Use simple makefile buildsystem by default.
  * Use ant buildsystem for java library.
  * Enable parallel builds.
  * Drop 00-fix_build_flags.patch, no longer required.
  * Append CPPFLAGS to CXXFLAGS for fortify-functions.
  * Bump Standards-Version to 3.9.5, no changes.
  * Add dependency on libprotobuf-dev to libosmpbf-dev.
    (closes: #722730)

  [ Jochen Topf ]
  * Remove .gitignore file in debian directory.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 14 Mar 2014 13:51:21 +0100
