=== debian/control ===
Source: osmpbf
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper (>= 9),
               ant,
               default-jdk-headless,
               openjdk-8-jdk-headless | java6-sdk-headless,
               libprotobuf-dev (>= 3.0.0),
               libprotobuf-java (>= 3.0.0),
               protobuf-compiler (>= 3.0.0),
               maven-repo-helper
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmpbf.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osmpbf.git
Homepage: https://github.com/scrosby/OSM-binary

Package: libosmpbf-java
Architecture: all
Depends: ${misc:Depends}
Description: Java access library for OpenStreetMap PBF file format
 Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is a binary file format for OpenStreetMap
 data that uses Google Protocol Buffers as low-level storage.
 .
 This package provides a Java library.

Package: libosmpbf-dev
Architecture: any
Section: libdevel
Depends: libprotobuf-dev,
         ${misc:Depends}
Description: C headers for OpenStreetMap PBF file format
 Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is a binary file format for OpenStreetMap
 data that uses Google Protocol Buffers as low-level storage.
 .
 This package provides the C headers to be used in third-party
 applications.

Package: osmpbf-bin
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: OpenStreetMap PBF file format library - tools
 Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is a binary file format for OpenStreetMap
 data that uses Google Protocol Buffers as low-level storage.
 .
 This package provides various tools to deal with OpenStreetMap PBF file
 format.
