=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ --buildsystem makefile --parallel

override_dh_auto_clean:
	dh_auto_clean --buildsystem ant
	dh_auto_clean -Dsrc
	dh_auto_clean -Dtools
	mh_clean

override_dh_auto_configure:
	dh_auto_configure --buildsystem ant
	dh_auto_configure -Dsrc
	dh_auto_configure -Dtools

override_dh_auto_build:
	dh_auto_build --buildsystem ant
	dh_auto_build -Dsrc
	dh_auto_build -Dtools

override_dh_auto_install:
	dh_auto_install --buildsystem ant
	dh_auto_install -Dsrc   -- PREFIX=/usr
	dh_auto_install -Dtools -- PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs -- ReleaseNotes.txt

override_dh_install:
	dh_install
	mh_installjar -plibosmpbf-java -l pom.xml osmpbf.jar
	mh_installpom -plibosmpbf-java pom.xml
