=== debian/changelog ===
osmpbf (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Drop hardening.patch, applied upstream.
  * Add patch to keep use ant, maven doesn't work for Debian package.
  * Drop obsolete dh_installchangelogs override.
  * Use cmake buildsystem instead of makefile.
  * Update lintian overrides.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jan 2021 08:21:08 +0100

osmpbf (1.4.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Oct 2020 12:26:01 +0100

osmpbf (1.4.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Update upstream metadata.
  * Add binary package for shared library.
  * Update lintian overrides.
  * Drop patches, applied upstream.
  * Update README filename in docs file.
  * Add patch to support hardening flags.
  * Add symbols file with pkgkde-symbolshelper.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Oct 2020 06:46:43 +0100

osmpbf (1.3.3-15) unstable; urgency=medium

  * Rebuild with protobuf 3.12.2.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jul 2020 05:51:48 +0200

osmpbf (1.3.3-14) unstable; urgency=medium

  * Add patch to fix optimize_for warnings.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Mar 2020 07:49:45 +0100

osmpbf (1.3.3-13) unstable; urgency=medium

  * Update gbp.conf for renamed branches.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Rebuild with protobuf 3.11.4.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Mar 2020 06:47:37 +0100

osmpbf (1.3.3-12) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Update dh_install override to use --list-missing.
  * Update gbp.conf to use --source-only-changes by default.
  * Rebuild with protobuf 3.6.1.
    (closes: #935990)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Aug 2019 09:37:16 +0200

osmpbf (1.3.3-11) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0, no changes.
  * Update watch file to use releases instead of tags.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 17:11:02 +0200

osmpbf (1.3.3-10) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 11:31:10 +0200

osmpbf (1.3.3-9) unstable; urgency=medium

  * Update Vcs-* URLs for Salsa.
  * Drop override for vcs-deprecated-in-debian-infrastructure.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control file.
  * Drop unused override for incompatible-java-bytecode-format.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 10:52:42 +0200

osmpbf (1.3.3-8) unstable; urgency=medium

  * Add patch to specify proto2 syntax to fix warnings with protobuf 3.0.0.
  * Update copyright-format URL to use HTTPS.
  * Drop explicit openjdk-8 build dependency.
  * Bump Standards-Version to 4.1.3, no changes.
  * Add lintian override for vcs-deprecated-in-debian-infrastructure.
  * Add lintian override for incompatible-java-bytecode-format.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Mar 2018 14:56:57 +0200
