=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                ant,
-               default-jdk-headless,
-               openjdk-8-jdk-headless | java6-sdk-headless,
-               libprotobuf-dev (>= 3.0.0),
-               libprotobuf-java (>= 3.0.0),
-               protobuf-compiler (>= 3.0.0),
-               maven-repo-helper
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmpbf.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osmpbf.git
-Homepage: https://github.com/scrosby/OSM-binary
+               cmake,
+               default-jdk-headless | java6-sdk-headless,
+               libprotobuf-dev (>= 3.12.3),
+               libprotobuf-java (>= 3.12.3),
+               protobuf-compiler (>= 3.12.3),
+               maven-repo-helper,
+               pkg-kde-tools
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmpbf
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osmpbf.git
+Homepage: https://github.com/openstreetmap/OSM-binary
 
 Package: libosmpbf-java
 Architecture: all
@@ -27,10 +28,23 @@
  .
  This package provides a Java library.
 
+Package: libosmpbf1
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: OpenStreetMap PBF file format library
+ Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
+ PBF (Protocol buffer Binary Format) is a binary file format for OpenStreetMap
+ data that uses Google Protocol Buffers as low-level storage.
+ .
+ This package provides the shared library.
+
 Package: libosmpbf-dev
 Architecture: any
 Section: libdevel
-Depends: libprotobuf-dev,
+Depends: libosmpbf1 (= ${binary:Version}),
+         libprotobuf-dev,
          ${misc:Depends}
 Description: C headers for OpenStreetMap PBF file format
  Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
@@ -52,4 +66,3 @@
  .
  This package provides various tools to deal with OpenStreetMap PBF file
  format.
-
