=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem cmake

override_dh_auto_clean:
	dh_auto_clean --buildsystem ant
	dh_auto_clean
	mh_clean

override_dh_auto_configure:
	dh_auto_configure --buildsystem ant
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build --buildsystem ant
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --buildsystem ant
	dh_auto_install

override_dh_install:
	dh_install --list-missing
	mh_installjar -plibosmpbf-java -l pom.xml osmpbf.jar
	mh_installpom -plibosmpbf-java pom.xml

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)
