=== debian/changelog ===
osmpbf (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Add libprotobuf-java to libosmpbf-java Depends.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Switch to dh-sequence-*.
  * Drop ant.patch, fixed upstream.
  * Update paths for src to osmpbf move.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Mar 2024 05:44:08 +0100

osmpbf (1.5.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Add autopkgtests to catch PBF read failures.
  * Enable Salsa CI.
  * Rebuild with protobuf 3.21.9.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Nov 2022 05:45:42 +0100

osmpbf (1.5.0-2) unstable; urgency=medium

  * Update watch file for GitHub URL changes.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Rebuild with 3.12.4.
    (closes: #993895)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Sep 2021 19:08:30 +0200
