=== debian/control ===
--- 
+++ 
@@ -4,23 +4,26 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
                ant,
                cmake,
                default-jdk-headless | java6-sdk-headless,
-               libprotobuf-dev (>= 3.12.3),
-               libprotobuf-java (>= 3.12.3),
-               protobuf-compiler (>= 3.12.3),
+               libprotobuf-dev (>= 3.21.9),
+               libprotobuf-java (>= 3.21.9),
+               protobuf-compiler (>= 3.21.9),
                maven-repo-helper,
                pkg-kde-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmpbf
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osmpbf.git
 Homepage: https://github.com/openstreetmap/OSM-binary
+Rules-Requires-Root: no
 
 Package: libosmpbf-java
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libprotobuf-java,
+         ${misc:Depends}
 Description: Java access library for OpenStreetMap PBF file format
  Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
  PBF (Protocol buffer Binary Format) is a binary file format for OpenStreetMap
