=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 %:
-	dh $@ --with pkgkde_symbolshelper --buildsystem cmake
+	dh $@ --buildsystem cmake
 
 override_dh_auto_clean:
 	dh_auto_clean --buildsystem ant
@@ -32,7 +32,7 @@
 	dh_auto_install
 
 override_dh_install:
-	dh_install --list-missing
+	dh_install
 	mh_installjar -plibosmpbf-java -l pom.xml osmpbf.jar
 	mh_installpom -plibosmpbf-java pom.xml
