=== debian/tests/control ===
Tests: java
Depends: ca-certificates,
         default-jdk-headless,
         libosmpbf-java,
         wget
Restrictions: needs-internet

Tests: osmpbf-outline
Depends: ca-certificates,
         osmpbf-bin,
         wget
Restrictions: needs-internet
