=== debian/changelog ===
osmpbf (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Make autopkgtest script more verbose.
  * Mark libosmpbf-java as Multi-Arch: foreign, and
    libosmpbf1 as Multi-Arch: same.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Use execute_{before,after} instead of override in rules file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 20 Dec 2025 14:51:38 +0100
