=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
                protobuf-compiler (>= 3.21.9),
                maven-repo-helper,
                pkg-kde-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmpbf
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osmpbf.git
 Homepage: https://github.com/openstreetmap/OSM-binary
-Rules-Requires-Root: no
 
 Package: libosmpbf-java
 Architecture: all
+Multi-Arch: foreign
 Depends: libprotobuf-java,
          ${misc:Depends}
 Description: Java access library for OpenStreetMap PBF file format
@@ -33,6 +33,7 @@
 
 Package: libosmpbf1
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
