=== debian/rules ===
--- 
+++ 
@@ -14,25 +14,22 @@
 %:
 	dh $@ --buildsystem cmake
 
-override_dh_auto_clean:
+execute_before_dh_auto_clean:
 	dh_auto_clean --buildsystem ant
-	dh_auto_clean
+
+execute_after_dh_auto_clean:
 	mh_clean
 
-override_dh_auto_configure:
+execute_before_dh_auto_configure:
 	dh_auto_configure --buildsystem ant
-	dh_auto_configure
 
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	dh_auto_build --buildsystem ant
-	dh_auto_build
 
-override_dh_auto_install:
+execute_before_dh_auto_install:
 	dh_auto_install --buildsystem ant
-	dh_auto_install
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	mh_installjar -plibosmpbf-java -l pom.xml osmpbf.jar
 	mh_installpom -plibosmpbf-java pom.xml
